%define module_version 0.67
%define module_name Graphics-Primitive
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Visitor/Callback.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(Forest.pm) perl(Forest/Tree.pm) perl(Geometry/Primitive.pm) perl(Geometry/Primitive/Arc.pm) perl(Geometry/Primitive/Bezier.pm) perl(Geometry/Primitive/Circle.pm) perl(Geometry/Primitive/Ellipse.pm) perl(Geometry/Primitive/Equal.pm) perl(Geometry/Primitive/Line.pm) perl(Geometry/Primitive/Point.pm) perl(Geometry/Primitive/Rectangle.pm) perl(Graphics/Color.pm) perl(Graphics/Color/RGB.pm) perl(JSON.pm) perl(JSON/Any.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm)
BuildRequires: perl(MooseX/Clone.pm) perl(MooseX/Storage.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.67
Release: alt1
Summary: Device and library agnostic graphic primitives
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GP/GPHAT/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Graphics::Primitive is library agnostic system for drawing things.

The idea is to allow you to create and manipulate graphical components and
then pass them off to a Driver for actual
drawing.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/G*

%changelog
* Mon Jan 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.67-alt1
- regenerated from template by package builder

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.66-alt1
- regenerated from template by package builder

* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.65-alt1
- initial import by package builder

